export default Drm;
/**
 * @class Drm
 */
declare class Drm {
    /**
     * Build the keySystems object according to the DRM vendor.
     *
     * @param {Array.<import('../dataProvider/model/typedef').DrmMetadata>} drmList The DRM list from the media composition.
     *
     * @returns {import('./typedef').KeySystems} The resulting keySystems.
     */
    static buildKeySystems(drmList?: Array<import('../dataProvider/model/typedef').DrmMetadata>): import('./typedef').KeySystems;
    /**
     * Check if some of the resources have DRM.
     *
     * @param {Array.<import('../dataProvider/model/typedef').MainResource>} resources
     *
     * @returns {boolean} true if some of the resources have DRM, false otherwise.
     */
    static hasDrm(resources: Array<import('../dataProvider/model/typedef').MainResource>): boolean;
    /**
     * Get DRM vendors.
     */
    static get vendors(): {
        WIDEVINE: string;
        FAIRPLAY: string;
        PLAYREADY: string;
    };
}
//# sourceMappingURL=Drm.d.ts.map